// -----------------------------------------------------------
// sky by (c) 2004 randy reddig - http://shaderlab.com
// -----------------------------------------------------------

textures/oilrig/sky
{	
	q3map_sunExt 180 180 180 15 199 12 3 16
		q3map_lightmapFilterRadius 0 32
	q3map_skyLight 10 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms env/oilrig/black 576 -
	
	{
		map env/oilrig/clouds_2.tga
		tcMod scale 2.75 1.75
		tcMod scroll 0.01 -0.00375
		rgbGen identityLighting
	}
	{
		clampMap env/oilrig/sky.tga
		blendFunc GL_SRC_ALPHA GL_SRC_COLOR
		tcMod transform 0.75 0 0 0.75 -0.678 -0.678
		rgbGen identityLighting
	}
}


// Fog by Drezil

textures/oilrig/wassernebel
{
        qer_editorimage textures/oilrig/wassernebel.jpg
        qer_trans 0.7
        surfaceparm nonsolid
        surfaceparm fog
        surfaceparm trans
        q3map_bouncescale 0
                
        fogparms ( .0 .0 .0 ) 1000
        
}

// watercaulk

textures/oilrig/watercaulk
{
    qer_trans 0.40
    qer_editorimage textures/oilrig/watercaulk.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm water
}



//Light-emitting floodlight shader (outdoor)


textures/oilrig/light2
{
	qer_editorimage textures/oilrig/light2.jpg
    	surfaceparm nodamage
    	q3map_surfaceLight 40000

    {
        map textures/oilrig/whitelight.tga
    }
    {

            map textures/oilrig/whitelight.tga
            blendFunc GL_ONE GL_ONE
            rgbGen const ( 1.00 1.00 1.00 )
            glow

      }
    
}

//Light-emitting floodlight shader (indoor)


textures/oilrig/light1
{
	qer_editorimage textures/oilrig/light1.jpg
    	surfaceparm nodamage
    	q3map_surfaceLight 80000

    {
        map textures/oilrig/whitelight.tga
    }
    
}



//{
//        map $lightmap
//        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//        rgbgen identity
//    }
//}

// ladderclip

textures/oilrig/ladderclip
{
        qer_editorimage textures/oilrig/ladderclip.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}
